# eric6.Plugins.VcsPlugins.vcsMercurial.HgCommitDialog

Module implementing a dialog to enter the commit message.

### Global Attributes

None

### Classes

HgCommitDialog | Class implementing a dialog to enter the commit message.

### Functions

None

## HgCommitDialog

Class implementing a dialog to enter the commit message.

### Signals

accepted()
  emitted, if the dialog was accepted
rejected()
  emitted, if the dialog was rejected

### Derived from

QWidget, Ui_HgCommitDialog

### Class Attributes

None

### Class Methods

None

### Methods

HgCommitDialog | Constructor
amend | Public method to retrieve the state of the amend flag.
commitSubrepositories | Public method to retrieve the state of the commit sub-repositories flag.
logMessage | Public method to retrieve the log message.
on_buttonBox_accepted | Private slot called by the buttonBox accepted signal.
on_buttonBox_clicked | Private slot called by a button of the button box clicked.
on_buttonBox_rejected | Private slot called by the buttonBox rejected signal.
on_recentComboBox_activated | Private slot to select a commit message from recent ones.
showEvent | Protected method called when the dialog is about to be shown.

### Static Methods

None

#### HgCommitDialog (Constructor)

HgCommitDialog(vcs, msg, mq, parent=None)

Constructor

vcs
  reference to the vcs object
msg
  initial message (string)
mq
  flag indicating a queue commit (boolean)
parent
  parent widget (QWidget)

#### HgCommitDialog.amend

amend()

Public method to retrieve the state of the amend flag.

Returns:
  state of the amend flag (boolean)

#### HgCommitDialog.commitSubrepositories

commitSubrepositories()

Public method to retrieve the state of the commit sub-repositories flag.

Returns:
  state of the sub-repositories flag (boolean)

#### HgCommitDialog.logMessage

logMessage()

Public method to retrieve the log message.

Returns:
  the log message (string)

#### HgCommitDialog.on_buttonBox_accepted

on_buttonBox_accepted()

Private slot called by the buttonBox accepted signal.

#### HgCommitDialog.on_buttonBox_clicked

on_buttonBox_clicked(button)

Private slot called by a button of the button box clicked.

button
  button that was clicked (QAbstractButton)

#### HgCommitDialog.on_buttonBox_rejected

on_buttonBox_rejected()

Private slot called by the buttonBox rejected signal.

#### HgCommitDialog.on_recentComboBox_activated

on_recentComboBox_activated(txt)

Private slot to select a commit message from recent ones.

txt
  text of the selected entry (string)

#### HgCommitDialog.showEvent

showEvent(evt)

Protected method called when the dialog is about to be shown.

evt
  the event (QShowEvent)

Up